
/**
 * 普通ajax表单提交
 * @param {Object} form
 * @param {Object} callback
 */
function validateCallback(form, callback) {
	var $form = $(form);
	if($form.attr("action")==""){
		return false;
	}
	$("input[type='date']",$form).each(function(){
		if($(this).val()==null||$(this).val()==''){
			$(this).attr("disabled",true);
		}
	});
	$("input",$form).each(function(){
		if($(this).hasClass("date")&&($(this).val()==null||$(this).val()=='')){
			$(this).attr("disabled",true);
		}
	});
	$.ajax({
		type: $form.method || 'POST',
		url:$form.attr("action"),
		data:$form.serializeArray(),
		dataType:"json",
		cache: false,
		success: callback
	});
	$("input[type='date']",$form).each(function(){
		if($(this).val()==null||$(this).val()==''){
			$(this).attr("disabled",false);
		}
	});
	$("input",$form).each(function(){
		if($(this).hasClass("date")&&($(this).val()==null||$(this).val()=='')){
			$(this).attr("disabled",false);
		}
	});
	return false;
}
/**
 * 带文件上传的ajax表单提交
 * @param {Object} form
 * @param {Object} callback
 */
function iframeCallback(form, callback){
	var $form = $(form), $iframe = $("#callbackframe");
	if ($iframe.size() == 0) {
		$iframe = $("<iframe id='callbackframe' name='callbackframe' src='about:blank' style='display:none'></iframe>").appendTo("body");
	}
	if(!form.ajax) {
		$form.append('<input type="hidden" name="ajax" value="1" />');
	}
	form.target = "callbackframe";
	
	_iframeResponse($iframe[0], callback);
}
function _iframeResponse(iframe, callback){
	var $iframe = $(iframe), $document = $(document);
	
	$document.trigger("ajaxStart");
	
	$iframe.bind("load", function(){
		$iframe.unbind("load");
		$document.trigger("ajaxStop");
		
		if (iframe.src == "javascript:'%3Chtml%3E%3C/html%3E';" || // For Safari
			iframe.src == "javascript:'<html></html>';") { // For FF, IE
			return;
		}

		var doc = iframe.contentDocument || iframe.document;

		// fixing Opera 9.26,10.00
		if (doc.readyState && doc.readyState != 'complete') return; 
		// fixing Opera 9.64
		if (doc.body && doc.body.innerHTML == "false") return;
	   
		var response;
		if (doc.XMLDocument) {
			// response is a xml document Internet Explorer property
			response = doc.XMLDocument;
		} else if (doc.body){
			try{
//				response = $iframe.contents().find("body").html();
				//txb 修改提示错误
				response = $iframe.contents().find("body").text();
//目前未查出原因
//alert("---------------------"+response);
//alert( $iframe.contents().find("body").text());
				response = jQuery.parseJSON(response);
			} catch (e){ // response is html document or plain text
				response = doc.body.innerHTML;
			}
		} else {
			// response is a xml document
			response = doc;
		}
		
		callback(response);
	});
}

function ajaxTodo(url, callback,ajaxStart,errorBack){//url:地址
	var $callback = callback;
	if (! $.isFunction($callback)) $callback = eval('(' + callback + ')');
	$.ajax({
		type:'get',
		url:url,
		dataType:"json",
		cache: false,
		success: $callback,
		ajaxStart:ajaxStart,
		error:errorBack
	});
}

function webSearch(form) {
	var $form = $(form);
	if($form.attr("action")==""){
		return false;
	}
	$("input[type='date']",$form).each(function(){
		if($(this).val()==null||$(this).val()==''){
			$(this).attr("disabled",true);
		}
	});
	$("input",$form).each(function(){
		if($(this).hasClass("date")&&($(this).val()==null||$(this).val()=='')){
			$(this).attr("disabled",true);
		}
	});
	var date=$form.serializeArray();
	var url=$form.attr("action");
	for(var i=0;i<date.length;i++){
		var json=date[i];
		if(url.indexOf("?")>0){
			url+="&";
		}else{
			url+="?";
		}
		url+=date[i].name+"="+date[i].value;
	}
	window.location.href=url;
}
